/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType } from "igniteui-angular-core";
import { DashboardTile } from "./DashboardTile";
import { DashboardTileCommonFeature } from "./DashboardTileCommonFeature";
import { GeographicMapDescriptionModule } from "igniteui-angular-core";
/**
 * @hidden
 */
export let GeographicMapDashboardTileFeature = /*@__PURE__*/ (() => {
    class GeographicMapDashboardTileFeature extends Base {
        static register() {
            GeographicMapDashboardTileFeature.registerCore(DashboardTile.bo.context);
        }
        static registerCore(a) {
            DashboardTileCommonFeature.a(a);
            GeographicMapDescriptionModule.register(a);
        }
    }
    GeographicMapDashboardTileFeature.$t = markType(GeographicMapDashboardTileFeature, 'GeographicMapDashboardTileFeature');
    return GeographicMapDashboardTileFeature;
})();
