import { DashboardTileFilterStringErrorsParsingEventArgs as DashboardTileFilterStringErrorsParsingEventArgs_internal } from "./DashboardTileFilterStringErrorsParsingEventArgs";
/**
 * Represents event arguments for when there are errors parsing the filter string
*/
var IgxDashboardTileFilterStringErrorsParsingEventArgs = /** @class */ /*@__PURE__*/ (function () {
    function IgxDashboardTileFilterStringErrorsParsingEventArgs() {
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    IgxDashboardTileFilterStringErrorsParsingEventArgs.prototype.createImplementation = function () {
        return new DashboardTileFilterStringErrorsParsingEventArgs_internal();
    };
    Object.defineProperty(IgxDashboardTileFilterStringErrorsParsingEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    IgxDashboardTileFilterStringErrorsParsingEventArgs.prototype.onImplementationCreated = function () {
    };
    IgxDashboardTileFilterStringErrorsParsingEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    Object.defineProperty(IgxDashboardTileFilterStringErrorsParsingEventArgs.prototype, "propertyName", {
        get: function () {
            return this.i.propertyName;
        },
        set: function (v) {
            this.i.propertyName = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgxDashboardTileFilterStringErrorsParsingEventArgs.prototype, "errors", {
        /**
         * Gets the errors from parsing the filter string.
        */
        get: function () {
            return this.i.errors;
        },
        set: function (v) {
            this.i.errors = v;
        },
        enumerable: false,
        configurable: true
    });
    return IgxDashboardTileFilterStringErrorsParsingEventArgs;
}());
export { IgxDashboardTileFilterStringErrorsParsingEventArgs };
