import { __extends } from "tslib";
import { IgxDashboardTileSortDescription } from "./igx-dashboard-tile-sort-description";
import { DashboardTileGroupDescription as DashboardTileGroupDescription_internal } from "./DashboardTileGroupDescription";
/**
 * Represents an element in the current grouping applied to a data source or provider. Changes to this object are not observed or expected after it is initially assigned to a collection.
*/
var IgxDashboardTileGroupDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgxDashboardTileGroupDescription, _super);
    function IgxDashboardTileGroupDescription() {
        return _super.call(this) || this;
    }
    IgxDashboardTileGroupDescription.prototype.createImplementation = function () {
        return new DashboardTileGroupDescription_internal(0);
    };
    Object.defineProperty(IgxDashboardTileGroupDescription.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    return IgxDashboardTileGroupDescription;
}(IgxDashboardTileSortDescription));
export { IgxDashboardTileGroupDescription };
