import { IgxDashboardTileSortDescription } from "./igx-dashboard-tile-sort-description";
import { DashboardTileSortDescriptionCollection as DashboardTileSortDescriptionCollection_internal } from "./DashboardTileSortDescriptionCollection";
/**
 * Represents a collection of sort elements that are applied to a data source or provider.
*/
export declare class IgxDashboardTileSortDescriptionCollection {
    protected createImplementation(): DashboardTileSortDescriptionCollection_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DashboardTileSortDescriptionCollection_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets or sets whether this collection should detach the sync when the target collection changes.
    */
    get shouldDetachOnTargetChange(): boolean;
    set shouldDetachOnTargetChange(v: boolean);
    static ngAcceptInputType_shouldDetachOnTargetChange: boolean | string;
    findByName(name: string): any;
    add(item: IgxDashboardTileSortDescription): boolean;
    insert(index: number, item: IgxDashboardTileSortDescription): void;
    clear(): void;
    indexOf(item: IgxDashboardTileSortDescription): number;
    remove(item: IgxDashboardTileSortDescription): boolean;
    removeAt(index: number): IgxDashboardTileSortDescription;
}
