import { IgxDashboardTileSummaryDescription } from "./igx-dashboard-tile-summary-description";
import { DashboardTileSummaryDescriptionCollection as DashboardTileSummaryDescriptionCollection_internal } from "./DashboardTileSummaryDescriptionCollection";
export declare class IgxDashboardTileSummaryDescriptionCollection {
    protected createImplementation(): DashboardTileSummaryDescriptionCollection_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DashboardTileSummaryDescriptionCollection_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets or sets whether this collection should detach the sync when the target collection changes.
    */
    get shouldDetachOnTargetChange(): boolean;
    set shouldDetachOnTargetChange(v: boolean);
    static ngAcceptInputType_shouldDetachOnTargetChange: boolean | string;
    findByName(name: string): any;
    add(item: IgxDashboardTileSummaryDescription): boolean;
    insert(index: number, item: IgxDashboardTileSummaryDescription): void;
    clear(): void;
    indexOf(item: IgxDashboardTileSummaryDescription): number;
    remove(item: IgxDashboardTileSummaryDescription): boolean;
    removeAt(index: number): IgxDashboardTileSummaryDescription;
}
