# Ignite UI for Angular Dashboards - from Infragistics

[Ignite UI for Angular](https://www.infragistics.com/products/ignite-ui-angular) is a complete set of Material-based UI Widgets, Components & Sketch UI kits and supporting directives for [Angular](https://angular.io/) by Infragistics. Ignite UI for Angular is designed to enable developers to build the most modern, high-performance HTML5 & JavaScript apps for modern desktop browsers, mobile experiences and progressive web apps (PWA’s) targeting Google's Angular framework.

This package provides the dashboard components for Ignite UI for Angular such as [DashboardTile](https://www.infragistics.com/angularsite/components/dashboards/dashboardtile) component.

## NPM Package

You can include Ignite UI for Angular Dashboards in your project using this `npm` command:

`npm install --save igniteui-angular-dashboards igniteui-angular-core igniteui-angular-charts igniteui-angular-layouts igniteui-angular-grids igniteui-angular-maps igniteui-angular-gauges igniteui-angular-inputs`

## License
This is a commercial product, requiring a valid paid-for license for use. This license details can by found [here](http://www.infragistics.com/legal/ultimate/license/)

To acquire a license for usage, please register for a trial and acquire a license at [Infragistics.com](https://www.infragistics.com).

© Copyright 2024 Infragistics. All Rights Reserved. The Infragistics Ultimate license & copyright applies to this distribution. For information on that license, please go to our website [here](https://www.infragistics.com/legal/license).
