/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType } from "igniteui-angular-core";
import { DashboardTile } from "./DashboardTile";
import { DashboardTileCommonFeature } from "./DashboardTileCommonFeature";
import { DataPieChartDescriptionModule } from "igniteui-angular-core";
import { DataPieChartToolbarDescriptionModule } from "igniteui-angular-core";
/**
 * @hidden
 */
export let PieChartDashboardTileFeature = /*@__PURE__*/ (() => {
    class PieChartDashboardTileFeature extends Base {
        static register() {
            PieChartDashboardTileFeature.registerCore(DashboardTile.bo.context);
        }
        static registerCore(a) {
            DashboardTileCommonFeature.a(a);
            DataPieChartDescriptionModule.register(a);
            DataPieChartToolbarDescriptionModule.register(a);
        }
    }
    PieChartDashboardTileFeature.$t = markType(PieChartDashboardTileFeature, 'PieChartDashboardTileFeature');
    return PieChartDashboardTileFeature;
})();
