import { OnInit } from '@angular/core';
import { DashboardTileCustomization } from "./DashboardTileCustomization";
import * as i0 from "@angular/core";
export declare class IgxDashboardTileCustomizationComponent implements OnInit {
    protected createImplementation(): DashboardTileCustomization;
    ngOnInit(): void;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DashboardTileCustomization; /**
                                 * @hidden
                                 */
    static _createFromInternal(internal: any): IgxDashboardTileCustomizationComponent;
    private onImplementationCreated;
    constructor();
    get matchType(): string;
    set matchType(v: string);
    get propertyName(): string;
    set propertyName(v: string);
    get propertyValue(): any;
    set propertyValue(v: any);
    get isCollectionInsertionAtEnd(): boolean;
    set isCollectionInsertionAtEnd(v: boolean);
    static ngAcceptInputType_isCollectionInsertionAtEnd: boolean | string;
    get isCollectionInsertionAtStart(): boolean;
    set isCollectionInsertionAtStart(v: boolean);
    static ngAcceptInputType_isCollectionInsertionAtStart: boolean | string;
    get isCollectionInsertionAtIndex(): boolean;
    set isCollectionInsertionAtIndex(v: boolean);
    static ngAcceptInputType_isCollectionInsertionAtIndex: boolean | string;
    get isCollectionRemovaltIndex(): boolean;
    set isCollectionRemovaltIndex(v: boolean);
    static ngAcceptInputType_isCollectionRemovaltIndex: boolean | string;
    get collectionIndex(): number;
    set collectionIndex(v: number);
    static ngAcceptInputType_collectionIndex: number | string;
    get order(): number;
    set order(v: number);
    static ngAcceptInputType_order: number | string;
    get matchParentIndex(): number;
    set matchParentIndex(v: number);
    static ngAcceptInputType_matchParentIndex: number | string;
    findByName(name: string): any;
    protected __p: string;
    protected _hasUserValues: Set<string>;
    protected get hasUserValues(): Set<string>;
    protected __m(propertyName: string): void;
    protected _stylingContainer: any;
    protected _stylingParent: any;
    protected _inStyling: boolean;
    protected _styling(container: any, component: any, parent?: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxDashboardTileCustomizationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxDashboardTileCustomizationComponent, "igx-dashboard-tile-customization", never, { "matchType": "matchType"; "propertyName": "propertyName"; "propertyValue": "propertyValue"; "isCollectionInsertionAtEnd": "isCollectionInsertionAtEnd"; "isCollectionInsertionAtStart": "isCollectionInsertionAtStart"; "isCollectionInsertionAtIndex": "isCollectionInsertionAtIndex"; "isCollectionRemovaltIndex": "isCollectionRemovaltIndex"; "collectionIndex": "collectionIndex"; "order": "order"; "matchParentIndex": "matchParentIndex"; }, {}, never, never>;
}
