import { IgxDashboardTileGroupDescription } from "./igx-dashboard-tile-group-description";
import { DashboardTileGroupDescriptionCollection as DashboardTileGroupDescriptionCollection_internal } from "./DashboardTileGroupDescriptionCollection";
/**
 * Represents a collection of grouping elements that are applied to a data source or provider.
*/
export declare class IgxDashboardTileGroupDescriptionCollection {
    protected createImplementation(): DashboardTileGroupDescriptionCollection_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DashboardTileGroupDescriptionCollection_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    findByName(name: string): any;
    add(item: IgxDashboardTileGroupDescription): boolean;
    insert(index: number, item: IgxDashboardTileGroupDescription): void;
    clear(): void;
    indexOf(item: IgxDashboardTileGroupDescription): number;
    remove(item: IgxDashboardTileGroupDescription): boolean;
    removeAt(index: number): IgxDashboardTileGroupDescription;
}
